E Invoice Error

I am getting below error while generating IRN

Title
E Invoice Request Failed
Error
Error
An error occurred while making e-invoicing request. Please check <a href="desk#List/Error Log/List?method=E Invoice Request Failed">Error Log</a> for more information.
----------------------------------------------------------------------------------------------------
Data:
{}
----------------------------------------------------------------------------------------------------
Exception:
Traceback (most recent call last):
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 635, in fetch_auth_token
    res = self.make_request('post', self.authenticate_url, headers)
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 607, in make_request
    res = make_post_request(url, headers=headers, data=data)
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/integrations/utils.py", line 50, in make_post_request
    raise exc
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/integrations/utils.py", line 42, in make_post_request
    frappe.flags.integration_request.raise_for_status()
  File "/opt/bitnami/apps/erpnext/htdocs/venv/lib/python3.7/site-packages/requests/models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 401 Client Error:  for url: https://gsp.adaequare.com/gsp/authenticate?grant_type=token

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 690, in generate_irn
    headers = self.get_headers()
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 651, in get_headers
    'authorization': self.get_auth_token(),
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 601, in get_auth_token
    self.fetch_auth_token()
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 643, in fetch_auth_token
    self.raise_error(True)
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/erpnext/erpnext/regional/india/e_invoice/utils.py", line 940, in raise_error
    indicator='red'
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/__init__.py", line 403, in msgprint
    _raise_exception()
  File "/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/__init__.py", line 359, in _raise_exception
    raise ValidationError(msg)
frappe.exceptions.ValidationError: An error occurred while making e-invoicing request. Please check <a href="desk#List/Error Log/List?method=E Invoice Request Failed">Error Log</a> for more information.

@Rajesh2 Have you resolved it??
I am facing the same issue While generating IRN

from what we have experienced, you will face this error once a month or once a day depending on the token validity length you have set in the GSP portal.

you can just wait for the token to refresh or in case you want it refreshed immediately you can follow the last comment in this issue: https://github.com/frappe/erpnext/pull/25492

@karthikeyan5 Sir,i am using in a test Environment and try to generate IRN